<!DOCTYPE html>
<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG2</title>
	<link rel="stylesheet" href="style.css">
	<style>
		table,
		th,
		td {
			border: 1px solid black;
		}
	</style>
</head>

<body>
	<header>
		<h1>Desarrollo con Tecnologias Emergentes. Curso 2019-20<br>
			Trabajo TG2 del grupo ??<br>
			Titulo: TG2. Evaluar y comparar dos tecnologias emergentes</h1>
	</header>
	<nav>
		<ul>
			<li><a href="#1">1. Informacion general</a></li>
			<li><a href="#2">2. Descripcion de las tecnologias</a></li>
			<li><a href="#3">3. Criterios de comparacion</a></li>
			<li><a href="#4">4. Evaluacion de los criterios por categoria</a></li>
			<li><a href="#5">5. Comparacion de las tecnologias</a></li>
			<li><a href="#6">6. Recomendaciones</a></li>
		</ul>
	</nav>

	<main>
		<section id="1">
			<h2>1. Informacion general</h2>
			<h3>1.1 Autores</h3>
			<p>Trabajo realizado por Alejandro García Cestero, Álvaro Sanz Blanco, David Pacheco Valero, Ignacio Heredia Beneitez y Jorge de la Mata Marchante</p>
			
			<h3>1.2 Proyecto Scrum y repositorio en GitLab</h3>
			<p>En este apartado se debe indicar la URL del proyecto "TG1" en GitLab del grupo. Si el grupo fuera el M5,
				la URL del proyecto debe ser la siguiente:
				<a href="https://gitlab.com/dte2020/t3/tg02">https://gitlab.com/dte2020/t3/tg02</a>".</p>
			<p>En ese proyecto debera haber un Sprint (Milestone) finalizado con el nombre "TG2".</p>
			<h3>1.3 Burndown chart</h3>
			<p>En este apartado se debe incrustar la imagen del diagrama Burndown final del Sprint TG2.</p>
			<img src="estadistica.PNG">
			<h3>1.4 Presentacion del trabajo</h3>
			<p>En este apartado se debe incluir el enlace al archivo de la presentacion con diapositivas, ubicado en el
				repositorio del proyecto.</p>
			<a href="presentacion2.pptx">Presentacion con diapositivas del trabajo TG2</a></p>
		</section>
		<section id="2">
			<h2>2. Descripcion de las tecnologias</h2>
			<p>Antes de comenzar vamos a hacer una breve descripción de las tecnologías, para así poder tener posteriormente un mejor enfoque de los criterios y su evaluación</p>
			<h3>2.1 Descripcion de la tecnologia 1 (Canvas)</h3>
			<p>Canvas, que traducido al español significa lienzo, es un elemento HTML que se incorporó en HTML5 que nos permite generar gráficos de forma dinámica mediante scripts (normalmente se utiliza JavaScript).
				Permite renderizar gráficos 2D y mapas de bits y realizar animaciones con ellos.
				Está formado por un sector con una determinada altura y un determinado ancho en el cual se generan gráficos mediante un determinado código.
				Se puede utilizar para componer imágenes y animaciones, realizar gráficos o incluso para la creación de juegos.
				Canvas no está soportado en navegadores antiguos.
				</p>
			<h3>2.2 Descripcion de la tecnologia 2</h3>
			<p>SVG (Scalable Vector Graphics) es un formato vectorial poco conocido pero muy útil para su uso online por su flexibilidad y por la capacidad de ofrecer gráficos con calidad.
				El formato SVG es para muchos un total desconocido. Cuando queremos colocar algún gráfico en la web, en la mayoría de ocasiones optamos por JPG o alguna vez por un PNG o GIF, 
				en caso de necesitar transparencia o animación. Lo que muchos no saben es que se pueden usar archivos vectoriales para su uso en navegadores.
				
				Vectorial
				El SVG es vectorial, lo que supone tener todas las ventajas de cualquier formato vectorial. Es escalable, pesa poco y permite una definición mayor a tamaños reducidos, mucho 
				mayor que los archivos bitmap. El formato es igual al que se utiliza con cualquier programa vectorial como Corel Draw o Adobe Illustrator.

				Tipografías
				El formato SVG nos permite por un lado utilizar las tipografías con trazados pero también nos permite incluirlas dentro del propio archivo en formato TrueType y Tipo 1, lo 
				que nos da una capacidad extraordinaria en cuanto a que los motores de búsqueda son capaces de indexarlo. Hay que tener en cuenta que para el texto puro colocado como tipografía 
				tiene que ser o bien de las fuentes instaladas en el sistema o bien incluidas como estilo CSS.

				Proyectos como Iconic también usan el formato SVG para hacer que una tipografía con iconos nos sirva para los diferentes usos y necesidades de tamaño y variación en función de 
				las acciones que deseemos. Puedes ver ejemplos en su web con los que se entenderás realmente y en profundidad el verdadero uso del formato SVG.
				
			</p>
		</section>

		<section id="3">
			<h2>3. Criterios de comparación</h2>

			<p>Vamos a conocer los criterios con los que posteriormente serán evaluadas las tecnologias</p>

			<h3>3.1 Categoría A: General</h3>

			<h4>3.1.1 Criterio A.1: Autor del gráfico HTML.</h4>
			<ul>
				<li>Nombre del criterio: Autor.</li>
				<li>Descripción: Nombre de la persona, institución o empresa que ha creado el gráfico HTML.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h4>3.1.2 Criterio A.2: Licencia.</h4>
			<ul>
				<li>Nombre del criterio: Licencia.</li>
				<li>Descripción: Tipo de licencia necesaria para la utilización del gráfico HTML.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h4>3.1.3 Criterio A.3: Precio.</h4>
			<ul>
				<li>Nombre del criterio: Precio.</li>
				<li>Descripción: Coste a pagar en euros por la utilización del gráfico.</li>
				<li>Tipo de valor: Numérico.</li>
			</ul>

			<h4>3.1.4 Criterio A.4: Popularidad.</h4>
			<ul>
				<li>Nombre del criterio: Popularidad.</li>
				<li>Descripción: Indica el grado de popularidad de la tecnología.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h3>3.2 Categoría B: Implementación</h3>

			<h4>3.2.1 Criterio B.1: Líneas de código.</h4>
			<ul>
				<li>Nombre del criterio: Líneas de código.</li>
				<li>Descripción: Se trata del número de líneas de código necesarias para implementar el gráfico.</li>
				<li>Tipo de valor: Numérico.</li>
			</ul>

			<h4>3.2.2 Criterio B.2: Programa utilizado.</h4>
			<ul>
				<li>Nombre del criterio: Programa utilizado.</li>
				<li>Descripción: Se trata del programa que se ha utilizado para la creación del gráfico HTML.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h4>3.2.3 Criterio B.3: Requisitos técnicos.</h4>
			<ul>
				<li>Nombre del criterio: Requisitos técnicos.</li>
				<li>Descripción: Requisitos del equipo necesario para la implementación del gráfico HTML.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h4>3.2.4 Criterio B.4: Dificultad.</h4>
			<ul>
				<li>Nombre del criterio: Dificultad.</li>
				<li>Descripción: Indica el grado de dificultad en la implementación del gráfico HTML.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h3>3.3 Categoría C: Compatibilidad con los Navegadores</h3>

			<h4>3.3.1 Criterio C.1: Internet Explorer.</h4>
			<ul>
				<li>Nombre del criterio: Compatibilidad con Internet Explorer.</li>
				<li>Descripción: Indica si el gráfico HTML es soportado por el navegador Internet Explorer.</li>
				<li>Tipo de valor: Booleano (Sí/No).</li>
			</ul>

			<h4>3.3.2 Criterio C.2: Microsoft Edge.</h4>
			<ul>
				<li>Nombre del criterio: Compatibilidad con Microsoft Edge.</li>
				<li>Descripción: Indica si el gráfico HTML es soportado por el navegador Microsoft Edge.</li>
				<li>Tipo de valor: Booleano (Sí/No).</li>
			</ul>

			<h4>3.3.3 Criterio C.3: Google Chrome.</h4>
			<ul>
				<li>Nombre del criterio: Compatibilidad con Google Chrome.</li>
				<li>Descripción: Indica si el gráfico HTML es soportado por el navegador Google Chrome.</li>
				<li>Tipo de valor: Booleano (Sí/No).</li>
			</ul>

			<h4>3.3.4 Criterio C.4: Mozilla Firefox.</h4>
			<ul>
				<li>Nombre del criterio: Compatibilidad con Mozilla Firefox.</li>
				<li>Descripción: Indica si el gráfico HTML es soportado por el navegador Mozilla Firefox.</li>
				<li>Tipo de valor: Booleano (Sí/No).</li>
			</ul>

			<h4>3.3.5 Criterio C.5: Safari.</h4>
			<ul>
				<li>Nombre del criterio: Compatibilidad con Safari.</li>
				<li>Descripción: Indica si el gráfico HTML es soportado por el navegador Safari.</li>
				<li>Tipo de valor: Booleano (Sí/No).</li>
			</ul>

			<h4>3.3.6 Criterio C.6: Opera.</h4>
			<ul>
				<li>Nombre del criterio: Compatibilidad con Opera.</li>
				<li>Descripción: Indica si el gráfico HTML es soportado por el navegador Opera.</li>
				<li>Tipo de valor: Booleano (Sí/No).</li>
			</ul>

			<h3>3.4 Categoría D: Funcionalidad</h3>

			<h4>3.4.1 Criterio D.1: Calidad del gráfico.</h4>
			<ul>
				<li>Nombre del criterio: Calidad del gráfico.</li>
				<li>Descripción: Indica el grado de calidad del gráfico HTML.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h4>3.4.2 Criterio D.2: Tiempo de carga.</h4>
			<ul>
				<li>Nombre del criterio: Tiempo de carga.</li>
				<li>Descripción: Indica el tiempo que se tarda en cargar el gráfico HTML con un equipo y navegador estándar.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h4>3.4.3 Criterio D.3: Almacenamiento.</h4>
			<ul>
				<li>Nombre del criterio: Almacenamiento.</li>
				<li>Descripción: Indica la cantidad de espacio que ocupa el gráfico HTML.</li>
				<li>Tipo de valor: Numérico.</li>
			</ul>

			<h3>3.5 Categoría E: Mantenimiento</h3>

			<h4>3.5.1 Criterio E.1: Calidad del mantenimiento.</h4>
			<ul>
				<li>Nombre del criterio: Calidad del mantenimiento.</li>
				<li>Descripción: Indica el grado de calidad del mantenimiento proporcionado por la tecnología.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h4>3.5.2 Criterio E.2: Tipo de mantenimiento.</h4>
			<ul>
				<li>Nombre del criterio: Tipo de mantenimiento.</li>
				<li>Descripción: Indica el tipo de mantenimiento proporcionado por la tecnología.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>

			<h4>3.5.3 Criterio E.3: Disponibilidad del mantenimiento.</h4>
			<ul>
				<li>Nombre del criterio: Disponibilidad del mantenimiento.</li>
				<li>Descripción: Indica el grado y el tiempo de disponibilidad del mantenimiento proporcionado por la tecnología.
				<li>Tipo de valor: Texto libre.</li>
			</ul>

		<section id="4">
			<h2>4. Evaluacion de los criterios por categoria</h2>
			<p>Dados los cirterios anteriores, vamos a evaluar cada una de las tecnologías y comparar.</p>
			<h3>4.1 Evaluacion de los criterios para la tecnologia 1</h3>
			<p>Debe incluir al menos una tabla con la siguiente estructura.</p>
			<table>
				<tr>
					<td>Criterio A.1: Autor del gráfico HTML</td>
					<td>Introducido por Apple y estandarizado por "Grupo de Trabajo de Tecnologías de Aplicación de Hipertexto (WHATWG)
						Aparentemente, no es de vital importancia saber quien ha creado el gráfico
					</td>
				</tr>
				<tr>
					<td>Criterio A.2: Licencia</td>
					<td>No se necesita aparentemente nínguna licencia para poder trabajar con esta tecnología</td>
				</tr>
				<tr>
					<td>Criterio A.3: Precio </td>
					<td>Gratuito</td>
				</tr>
				<tr>
					<td>Criterio A.4: Popularidad</td>
					<td>Es uno de los más popoluras junto con SVG para el modelado de figuras y fráficos</td>
				</tr>
				<tr>
					<td>Criterio B.1: Líneas de código</td>
					<td>En internet se pueden encontrar ejemplos seoncillos, por ejemplo: Con 40 líneas de código se pueden hacer fijuras sencillas como círculos, rectángulos, cuadrados rellenos, etc.</td>
				</tr>
				<tr>
					<td>Criterio B.2: Programa Utilizado</td>
					<td>Visual Studio Code, Notepad++, Netbeans, JetBrains y muchos mas</td>
				</tr>
				<tr>
					<td>Criterio B.3: Requisitos técnicos</td>
					<td>Tener Visual Studio Code o cualquier programa con el que editar el código y un navegador para comprobar el ejemplo</td>
				</tr>
				<tr>
					<td>Criterio B.4: Dificultad</td>
					<td>Es bastante sencillo crear gráficos, con un par de lecturas y algo de conocimiento en HTML, se pueden hacer figuras sencillas como circulos, cuadrados, ect. El resto is ir sumergiendose en la tecnología>
				</tr>
				<tr>
					<td>Criterio C.1: Internet Explorer</td>
					<td>Sí (A partir de la 9.0)</td>
				</tr>
				<tr>
					<td>Criterio C.2: Microsoft Edge</td>
					<td>Sí</td>
				</tr>
				<tr>
					<td>Criterio C.3: Google Chrome</td>
					<td>Sí</td>
				</tr>
				<tr>
					<td>Criterio C.4: Mozilla Firefox</td>
					<td>Sí</td>
				</tr>
				<tr>
					<td>Criterio C.5: Safari</td>
					<td>Sí</td>
				</tr>
				<tr>
					<td>Criterio C.6: Opera</td>
					<td>Sí</td>
				</tr>
				<tr>
					<td>Criterio D.1: Funcionalidad</td>
					<td>Visualización de figuras geométricas, creación y modelado de gráficos, así como gráficas, etc.</td>
				</tr>
				<tr>
					<td>Criterio D.2: Tiempo de carga</td>
					<td>Dependerá siempre de la cantidad de gráficos a cargar, pero es ubo de los más rápidos en hacerlo</td>
				</tr>
				<tr>
					<td>Criterio D.3: Almacenamiento</td>
					<td>Al utilizar mapa de bits, esto hace que aumente el espacio de almacenamiento necesario</td>
				</tr>
				<tr>
					<td>Criterio E.1: Calidad de mantenimiento</td>
					<td>No da muchos problemas de mantenimiento.</td>
				</tr>
				<tr>
					<td>Criterio E.2: Tipo de mantenimiento</td>
					<td>No precisa ningún tipo de mantenimiento, más allá de los que se puedan hacer para introducir nuevas fincionalidades</td>
				</tr>
				<tr>
					<td>Criterio E.3: Disponibilidad de mantenimiento</td>
					<td>Nada</td>
				</tr>
			</table>


				<h3>4.2 Evaluacion de los criterios para la tecnologia 2</h3>
				<p>Debe incluir al menos una tabla con la siguiente estructura.</p>
				<table>
					<tr>
						<th>Criterio</th>
						<th>Evaluacion</th>
					</tr>
					<tr>
						<td>Criterio A.1: Autor del gráfico HTML</td>
						<td>Tiene poca importancia conocer quién es el autor del gráfico</td>
					</tr>
					<tr>
						<td>Criterio A.2: Licencia</td>
						<td>No se requieren licencias para crear gráficos SVG por lo general, pero puede haber alguna excepción o restricción de uso</td>
					</tr>
					<tr>
						<td>Criterio A.3: Precio</td>
						<td>0 € (Crear gráficos SVG es completamente gratuito en ciertos programas dedicados a ello)</td>
					</tr>
					<tr>
						<td>Criterio A.4: Popularidad</td>
						<td>Pese a ser muy importante, todavía no goza de la popularidad que merece, siendo más protagonista JPEG o PNG</td>
					</tr>
					<tr>
						<td>Criterio B.1: Líneas de código</td>
						<td>1 linea de código para dibujar un círculo (Por lo general, crear gráficos SVG necesita menos líneas de código que otras tecnologías similares como Canvas, debido a que Canvas se tiene que desarrollar en JavaScript) </td>
					</tr>
					<tr>
						<td>Criterio B.2: Programa utilizado</td>
						<td>Hay mucha variedad, se puede usar Adobe Edge, Inkscape, Graphviz, Pencil Animation…</td>
					</tr>
					<tr>
						<td>Criterio B.3: Requisitos técnicos</td>
						<td>No se necesita gran conocimiento o recursos para poder implementar un gráfico SVG</td>
					</tr>
					<tr>
						<td>Criterio B.4: Dificultad</td>
						<td>Es muy sencillo crear gráficos svg, ya que se crea con el lenguaje XML, del cual deriva el HTML. Además, para animar estos gráficos se pueden añadir scripts con JavaScript)</td>
					</tr>
					<tr>
						<td>Criterio C.1: Internet Explorer</td>
						<td>Sí (Solo soporta SVG a partir de la versión 9.)</td>
					</tr>
					<tr>
						<td>Criterio C.2: Microsoft Edge</td>
						<td>Sí</td>
					</tr>
					<tr>
						<td>Criterio C.3: Google Chrome</td>
						<td>Sí</td>
					</tr>
					<tr>
						<td>Criterio C.4: Mozilla Firefox.</td>
						<td>Sí</td>
					</tr>
					<tr>
						<td>Criterio C.5: Safari</td>
						<td>Sí</td>
					</tr>
					<tr>
						<td>Criterio C.6: Opera</td>
						<td>Sí</td>
					</tr>
					<tr>
						<td>Criterio D.1: Calidad del gráfico</td>
						<td>Este es el punto fuerte de esta tecnología, ya que la calidad es tal que no pierde resolución ni aunque se aumente el gráfico o imagen</td>
					</tr>
					<tr>
						<td>Criterio D.2: Tiempo de carga</td>
						<td>El tiempo de carga de los gráficos o imágenes SVG no es el más rápido, en lo que en cambio destaca Canvas, que carga mucho más rápido</td>
					</tr>
					<tr>
						<td>Criterio D.3: Almacenamiento</td>
						<td>Los gráficos e imágenes vectoriales ocupan menos espacios que las imágenes de mapa de bits, lo que es otra gran ventaja</td>
					</tr>
					<tr>
						<td>Criterio E.1: Calidad del mantenimiento</td>
						<td>Esta tecnología no requiere ni proporciona mantenimiento</td>
					</tr>
					<tr>
						<td>Criterio E.2: Tipo de mantenimiento</td>
						<td>No existe tipos de mantenimiento</td>
					</tr>
					<tr>
						<td>Criterio E.3: Disponibilidad del mantenimiento</td>
						<td>No hay mantenimiento</td>
					</tr>
				</table>
	
				<p>SVG es un estándar recomendado por W3C, que obligó a todos los navegadores a tener la capacidad de soportarlo.</p>
				
	
			</section>

		<section id="5">
			<h2>5. Comparacion de las tecnologias</h2>
			<p>En este apartado veremos una comparación de criterios entre la tecnologia 1 (Canvas) y la 
				tegnoclogia 2 (SVG), con sus diferentes criterios y puntos.</p>
			<table>
				<tr>
					<th>Criterio</th>
					<th>Tecnología A(Canvas)</th>
					<th>Tecnología B(SVG)</th>
					<th>Comentarios</th>

				</tr>
				<tr>
					<td>A.1. Definición</td>
					<td>Es un elemento en HTML para dibujar gráficos en páginas web.</td>
					<td>Es un formato de imagen vectorial basado en XML para la interactividad.</td>
					<td></td>
				</tr>
				<tr>
					<td>A.2. Formato</td>
					<td>Utiliza el formato de imagen de mapa de bits.</td>
					<td>Utiliza el formato de imagen vectorial.</td>
					<td></td>
				</tr>
				<tr>
					<td>A.3. Flexible</td>
					<td>Las imágenes Canvas no son tan flexibles.</td>
					<td>Los SVG son más flexibles ya que podemos expandir el tamaño más allá de su natural</td>
					<td></td>
				</tr>
				<tr>
					<td>A.4. Manejadores de eventos</td>
					<td>No proporciona soporte para controladores de eventos.</td>
					<td>Proporciona cualquier soporte para controladores de eventos.</td>
					<td></td>
				</tr>
				<tr>
					<td>A.5. Juego de azar</td>
					<td>Estos son muy adecuados para aplicaciones de juegos</td>
					<td>No es adecuado para ninguna aplicación de juegos.</td>
					<td></td>
				</tr>
				<tr>
					<td>A.6. Programa</td>
					<td>Canvas se refiere a pintar el programa.</td>
					<td>SVG se refiere a dibujar el programa.</td>
					<td></td>
				</tr>
				<tr>
					<td>A.7. Resolución</td>
					<td>Resolución dependiente</td>
					<td>Resolución independiente</td>
					<td></td>
				</tr>
				<tr>
					<td>A.8. Soporte</td>
					<td>No hay soporte para controladores de eventos</td>
					<td>Soporte para controladores de eventos.</td>
					<td></td>
				</tr>
				<tr>
					<td>A.9. Representación</td>
					<td>Pobres capacidades de representación de texto</td>
					<td>El más adecuado para aplicaciones con grandes áreas de representación (Google Maps)</td>
					<td></td>
				</tr>
				<tr>
					<td>A.10. Guardar archivo</td>
					<td>El más adecuado para aplicaciones con grandes áreas de representación (Google Maps)</td>
					<td>Representación lenta si es compleja (cualquier cosa que use mucho el DOM será lenta)</td>
					<td></td>
				</tr>
				<tr>
					<td>A.11. Adecuación</td>
					<td>Muy adecuado para juegos intensivos en gráficos.</td>
					<td>No es adecuado para la aplicación del juego.</td>
					<td></td>
				</tr>
				<tr>
					<td>A.12. Escalabilidad</td>
					<td>Canvas tiene poca escalabilidad. Por lo tanto, no es adecuado para imprimir en alta resolución</td>
					<td>SVG tiene mejor escalabilidad. Por lo tanto, se puede imprimir con alta calidad en cualquier resolución</td>
					<td></td>
				</tr>
				<tr>
					<td>A.13. Rendimiento</td>
					<td>Canvas ofrece un mejor rendimiento con una superficie más pequeña o un mayor número de objetos.</td>
					<td>SVG ofrece un mejor rendimiento con un menor número de objetos o una superficie más grande.</td>
					<td></td>
				</tr>
				<tr>
					<td>A.14. Modificación</td>
					<td>Canvas se puede modificar solo mediante script</td>
					<td>SVG puede modificarse mediante script y CSS</td>
					<td></td>
				</tr>
				<tr>
					<td>A.15. Composición</td>
					<td>Canvas está basado en ráster y está compuesto de píxeles.</td>
					<td>SVG se basa en vectores y se compone de formas.</td>
					<td></td>
				</tr>

				<tr>
					<th>Criterio</th>
					<th>Tecnología A(Canvas)</th>
					<th>Tecnología B(SVG)</th>
					<th>Comentarios</th>

				</tr>
				<tr>
					<td>B.1. Firefox</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>B.2. Google Chrome</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>B.3. Opera</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>B.4. Safari</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
					
				<tr>
					<th>Criterio</th>
					<th>Tecnología A(Canvas)</th>
					<th>Tecnología B(SVG)</th>
					<th>Comentarios</th>

				</tr>
				<tr>
					<td>C.1. Tipos Combinados</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.2. Gráfico de Línea</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.3. Gráficos Barras</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.4. Gráficos Circulares</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.5. Gráficos Polar Área</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.6. Gráficos Radar</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.7. Gráficos de Dispersión</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.8. Gráficos de Burbujas</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.9. Gráficos del tipo Med. Radial</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				<tr>
					<td>C.10. Gráficos de Mapas</td>
					<td>Sí</td>
					<td>Sí</td>
					<td></td>
				</tr>
				</table>

		</section>

		<section id="6">
			<h2>6. Recomendaciones</h2>
			<p>Por último vamos a proceder a realizar una recomendación tras haber evaluado ambas tecnologías con un ejemplo.</p>
			<h3>6.1 Situacion A</h3>
			<h4>6.1.1 Descripcion de la situacion</h4>
			<p>Una empresa especializada en el desarrollo de juegos desea desarrollar el juego de snake, para que se ejecute en cualquier navegador web</p>
			<h4>6.1.2 Recomendacion de la tecnología a utilizar</h4>
			<p>Para desarrollar este videojuego en cualquier navegador se plantea utilizar la tecnología de gráficos canvas </p>
			<p></p>
			<p></p>
			<table>
				<tr>
					<th>Criterios relevantes para la decision</th>
					<th>Ventajas tecnología 1</th>
					<th>Ventajas tecnología 2</th>
				</tr>
				<tr>
					<td>Popularidad</td>
					<td>Canvas, es mucho más popular que SVG en su utilización en sitios web</td>
					<td>SVG sin embargo, es mucho menos conocido</td>
				</tr>
				<tr>
					<td>Comunidad</td>
					<td>Al ser mucho mas popular, disponemos de gran cantidad de foros y tutoriales utilizando esta tecnología</td>
					<td>Se disponen de una cantidad menos de foros y tutoriales, disponiendo de mucha menos información</td>
				</tr>
				<tr>
					<td>Funcionalidad</td>
					<td>Al utilizar JavaScript, disponemos un sin límite de posibilidades</td>
					<td>Al ser independiente, dispone de muchas más limitaciones</td>
				</tr>

				<tr>
					<td>Representación</td>
					<td>La representación visual se crea y modifica por porgrama, mediante scripting</td>
					<td>En SVG se genera a partir del markup y se puede modificar mediante CSS o por programa</td>
				</tr>

			</table>

			<h3>6.2 Situacion B</h3>
			<h4>6.2.1 Descripcion de la situacion</h4>
			<p>Una empresa que se dedique a la creación de mapas físicos para ofrecer a los clientes o usuarios vía online para que puedan guiarse por los terrenos en los que estén</p>
			<h4>6.2.2 Recomendacion de la tecnología a utilizar</h4>
			<p>La tecnología que se considera más adecuada para este caso es la tecnología SVG (Scalable Vector Graphics), especificando las ventajas y desventajas que existen respecto a la tecnología similar Canvas.</p>
			<p></p>
			<p></p>
			<table>
				<tr>
					<th>Criterios relevantes para la decision</th>
					<th>Ventajas tecnología 1</th>
					<th>Ventajas tecnología 2</th>
				</tr>
				<tr>
					<td>Lineas de código</td>
					<td>Canvas requiere una mayor cantidad de líneas de código que SVG al estar escrito en JavaScript</td>
					<td>Por lo general, la creación de imágenes y gráficos SVG requieren una menor cantidad de líneas de código.</td>
				</tr>
				<tr>
					<td>Programa utilizado</td>
					<td>Esta tecnología solo se puede crear en JavaScript</td>
					<td>La cantidad de programas que se pueden utilizar para crear estos gráficos es muy diversa, desde Inkscape hasta un bloc de notas.</td>
				</tr>
				<tr>
					<td>Dificultad</td>
					<td>El lenguaje utilizado es JavaScript, que resulta más difícil que el de SVG</td>
					<td>SVG usa un lenguaje mucho más fácil de emplear y de aprender, lo que es una ventaja respecto a Canvas</td>
				</tr>
				<tr>
					<td>Compatibilidad (En general)</td>
					<td>Canvas es compatible con los diferentes navegadores más utilizados (Excepto Internet Explorer y Opera)</td>
					<td>Es un estándar, por lo que es compatible con todos los navegadores</td>
				</tr>
				<tr>
					<td>Calidad del gráfico</td>
					<td>La calidad es buena, pero en comparación con SVG es peor.</td>
					<td>Sin duda estamos ante el punto fuerte de esta tecnología y que es la principal causa de que se recomiende SVG para este caso, ya que es posible aumentar el gráfico o mapa en este ejemplo, y que no se pierda resolución.</td>
				</tr>
				<tr>
					<td>Tiempo de carga</td>
					<td>El tiempo de carga es una ventaja de Canvas, ya que carga más rápido y puede suponer una diferencia importante.</td>
					<td>SVG tiene un tiempo de carga más extenso que Canvas, por lo que en este punto nos encontramos una desventaja respecto a la otra tecnología.</td>
				</tr>
				<tr>
					<td>Almacenamiento</td>
					<td>En cuanto al almacenamiento, Canvas pierde respecto a la tecnología SVG.</td>
					<td>El almacenamiento necesario para una imagen SVG es pequeño, menos que una imagen de mapa de bits</td>
				</tr>
				
			</table>
		</section>

		<p>(Hay que cumplir la estructura basica indicada de secciones. Pero si se desea se pueden añadir otras
			secciones como anexos. Por ejemplo, alguna encuesta de opinion realizada sobre las tecnologías, etc.)</p>

	</main>

</body>

</html>
